List chart of accounts facts
curl --request GET \
--url https://api.dualentry.com/public/v2/chart_of_accounts/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v2/chart_of_accounts/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v2/chart_of_accounts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dualentry.com/public/v2/chart_of_accounts/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dualentry.com/public/v2/chart_of_accounts/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dualentry.com/public/v2/chart_of_accounts/")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dualentry.com/public/v2/chart_of_accounts/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"account_id": 123,
"account_code": "<string>",
"account_name": "<string>",
"account_type": "<string>",
"is_active": true,
"account_category": "<string>",
"normal_balance": "<string>",
"parent_account_id": 123,
"parent_account_code": "<string>",
"account_hierarchy_1": "<string>",
"account_hierarchy_2": "<string>",
"account_hierarchy_3": "<string>",
"account_hierarchy_4": "<string>",
"account_hierarchy_5": "<string>"
}
],
"count": 123
}{
"errors": {},
"success": false,
"error_code": "<string>",
"error_reason": "<string>"
}{
"errors": {},
"success": false,
"error_code": "<string>",
"error_reason": "<string>"
}{
"errors": {},
"success": false,
"error_code": "<string>",
"error_reason": "<string>"
}Reporting
List chart of accounts facts
Full chart of accounts including inactive accounts, same columns as the chart_of_accounts table in your data export.
GET
/
public
/
v2
/
chart_of_accounts
/
List chart of accounts facts
curl --request GET \
--url https://api.dualentry.com/public/v2/chart_of_accounts/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v2/chart_of_accounts/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v2/chart_of_accounts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dualentry.com/public/v2/chart_of_accounts/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dualentry.com/public/v2/chart_of_accounts/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dualentry.com/public/v2/chart_of_accounts/")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dualentry.com/public/v2/chart_of_accounts/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"account_id": 123,
"account_code": "<string>",
"account_name": "<string>",
"account_type": "<string>",
"is_active": true,
"account_category": "<string>",
"normal_balance": "<string>",
"parent_account_id": 123,
"parent_account_code": "<string>",
"account_hierarchy_1": "<string>",
"account_hierarchy_2": "<string>",
"account_hierarchy_3": "<string>",
"account_hierarchy_4": "<string>",
"account_hierarchy_5": "<string>"
}
],
"count": 123
}{
"errors": {},
"success": false,
"error_code": "<string>",
"error_reason": "<string>"
}{
"errors": {},
"success": false,
"error_code": "<string>",
"error_reason": "<string>"
}{
"errors": {},
"success": false,
"error_code": "<string>",
"error_reason": "<string>"
}Ordered by account number. Accounts are organization-scoped (not company-filtered).
Authorizations
Query Parameters
Number of records to return per page (capped at 100)
Required range:
x >= 1Number of records to skip before starting to return results
Required range:
x >= 0Was this page helpful?